Множественные уязвимости в SnippetMaster

Дата публикации:
28.02.2009
Дата изменения:
28.02.2009
Всего просмотров:
6136
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-0529
CVE-2009-0530
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SnippetMaster 2.x
Уязвимые версии: SnippetMaster 2.2.2, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "language" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "_SESSION[SCRIPT_PATH]" в сценарии includes/vars.inc.php и в параметре "g_pcltar_lib_dir" в сценарии includes/tar_lib/pcltar.lib.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/includes/vars.inc.php?_SESSION[SCRIPT_PATH]=[file]

URL производителя: www.snippetmaster.com/index.php

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA